# Returns an AWS S3 pre-signed URL for use in uploading a file from a web application This method contacts S3 and generates a "presigned URL." This URL can be used to post a file. The return value is the URL to post. Endpoint: POST /fileUploads/{tenantId}/signedUrlRequest/{service}/{filename} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed - `service` (string, required) The service that you are posting on behlaf of - `filename` (string, required) The name of the file you're attempting to upload ## Query parameters: - `contentType` (string) The content type of the file being generate - `public` (boolean) Whether this should be a public file ## Response 200 fields (application/json): - `download_url` (string) The pre-signed url to use to download the temporary fiel once it has been uploaded - `signed_url` (string) The pre-signed url to upload the file - `url` (string) The S3 location of the file ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields